Subject: [bug#76407] Deliberation period for GCD 003 "Rename the default branch" has technically started

From: "Philip McGrath" <[email-masked]>
Date: Wed, 30 Apr 2025 20:01:01 -0400

I support.

I did note thoughtful comments from some people who support the goal of renaming but have concerns about implementation specifics. I hope constructive suggestions to improve implementation will be welcome (though I don't have any myself), but I especially support making this change now, in conjunction with GCD 002.

Since I haven't seen it mentioned elsewhere in this discussion, one factor that's informed my view is that, while "master" indeed has many meanings, its use in Git appears to derive from its use in Bitkeeper, the non-free version control system Git was written to replace, and Bitkeeper explicitly uses "master" as part of a "master"/"slave" model. Some references:
  - https://mail.gnome.org/archives/desktop-devel-list/2019-May/msg00066.html
  - https://about.gitlab.com/blog/2021/03/10/new-git-default-branch-name/
  - https://x.com/xpasky/status/1272958618124595201
  - https://lore.kernel.org/git/[email-masked]/